"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const renderScene_1 = __importDefault(require("./renderScene"));
const Tabs_1 = __importDefault(require("@mui/material/Tabs"));
const react_1 = require("react");
const Tabs = ({ defaultIndex, onSelectTab, routes = [] }) => {
    const handleWebSelectTab = (0, react_1.useCallback)((event, tabIndex) => {
        if (onSelectTab) {
            onSelectTab(tabIndex);
        }
    }, [
        onSelectTab
    ]);
    return ((0, jsx_runtime_1.jsx)(Tabs_1.default, { onChange: handleWebSelectTab, value: defaultIndex, children: (0, renderScene_1.default)(routes) }));
};
exports.default = Tabs;
//# sourceMappingURL=Tabs.js.map