"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_shared_1 = require("@dgui/react-shared");
const Menu_1 = __importDefault(require("@mui/icons-material/Menu"));
const IconButton_1 = __importDefault(require("@mui/material/IconButton"));
const react_1 = require("react");
const styles = {
    iconButton: {
        margin: 0
    }
};
const DrawerToggle = () => {
    const { toggleDrawer } = (0, react_1.useContext)(react_shared_1.DrawerToggleContext);
    const onClick = (0, react_1.useCallback)(() => {
        if (toggleDrawer) {
            toggleDrawer();
        }
    }, [
        toggleDrawer
    ]);
    return ((0, jsx_runtime_1.jsx)(IconButton_1.default, { "aria-label": 'open drawer', onClick: onClick, style: styles.iconButton, children: (0, jsx_runtime_1.jsx)(Menu_1.default, {}) }));
};
exports.default = (0, react_1.memo)(DrawerToggle);
//# sourceMappingURL=DrawerToggle.js.map